---
obj: application
website: https://www.borgbackup.org/
repo: https://github.com/borgbackup/borg
---
# Borg Backup
#refactor  add options + actions
BorgBackup (short: Borg) is a deduplicating backup program. Optionally, it supports compression and authenticated encryption.

The main goal of Borg is to provide an efficient and secure way to backup data. The data deduplication technique used makes Borg suitable for daily backups since only changes are stored. The authenticated encryption technique makes it suitable for backups to not fully trusted targets.

## Usage
Create a new repo:
```shell
borg init -e repokey /path/to/repo
```

Create a backup:
```shell
borg create -v --progress --stats /path/to/repo::ARCHIVE_NAME ~/Documents
```

List contents:
```shell
borg list /path/to/repo # List all archives
borg list /path/to/repo::ARCHIVE # List content of Archive
```

Extract archive:
```shell
borg extract /path/to/repo::ARCHIVE
```

Delete archive:
```shell
borg delete /path/to/repo::ARCHIVE
```

Garbage Collect Repo:
```shell
borg compact /path/to/repo
```