---
obj: application
os: linux
arch-wiki: https://wiki.archlinux.org/title/ClamAV
website: https://www.clamav.net/
---
#refactor 
# ClamAV
[Arch Wiki](https://wiki.archlinux.org/title/ClamAV)
Clam AntiVirus is an open source (GPL) anti-virus toolkit for UNIX. It provides a number of utilities including a flexible and scalable multi-threaded daemon, a command line scanner and advanced tool for automatic database updates. Because ClamAV's main use is on file/mail servers for [Windows](../windows/Windows.md) desktops, it primarily detects [Windows](../windows/Windows.md) viruses and malware with its built-in signatures.

## Usage
### Updating database
Update the virus definitions with:
```shell
freshclam
```

The database files are saved in:
```
/var/lib/clamav/daily.cvd
/var/lib/clamav/main.cvd
/var/lib/clamav/bytecode.cvd
```

Start/Enable`clamav-freshclam.service` so that the virus definitions are kept recent.

### Starting the daemon

**Note:**
-   You will need to run `freshclam` before starting the service for the first time or you will run into trouble/errors which will prevent ClamAV from starting correctly.
-   The daemon is not needed if you only want to perform stand-alone scans. See [Scan for viruses](https://wiki.archlinux.org/title/ClamAV#Scan_for_viruses) below.

The service is called `clamav-daemon.service`.