---
obj: application
os:
  - web
website: https://gitea.io/en-us/
---
# Gitea
Gitea is a community managed fork of Gogs, lightweight [git](../../dev/Git.md) code hosting solution written in Go and published under the MIT license.

#refactor -> gitea features, usage, more info

## Docker Compose

```yaml
version: '3.3'

services:   
    server:
        image: gitea/gitea
        environment:
            - USER_UID=1001
            - USER_GID=1001
            - DB_TYPE=postgres
            - DB_HOST=db:5432
            - DB_NAME=gitea
            - DB_USER=gitea
            - DB_PASSWD=gitea
        restart: always
        volumes:
            - ./data:/data
        ports:
            - "3000:3000" # Web UI
            - "222:22" # SSH
        depends_on:
            - db

    db:
        image: postgres:9.6
        restart: always
        environment:
            - POSTGRES_USER=gitea
            - POSTGRES_PASSWORD=gitea
            - POSTGRES_DB=gitea
        volumes:
            - ./db:/var/lib/postgresql/data
```
