---
obj: filesystem
---
# gstripe
The gstripe utility is used for setting up a stripe ([RAID](../linux/filesystems/RAID.md)-0) on two or more disks on a [FreeBSD](FreeBSD.md) System.
The striped device can be configured using two different methods:
“manual” or “automatic”.  When using the “manual” method, no metadata are
stored on the devices, so the striped device has to be configured by hand
every time it is needed.  The “automatic” method uses on-disk metadata to
detect devices.  Once devices are labeled, they will be automatically
detected and configured.

## Usage
- Manual Creation
```shell
gstripe create [-v] [-s stripesize] name prov prov	...
```

- Automatic Creation
```shell
gstripe label [-hv] [-s stripesize] name prov prov	...
```

- Destroy Stripe
```shell
gstripe destroy [-fv] name	...
gstripe stop [-fv]	name ...
```

- Clear metadata on device
```shell
gstripe clear [-v]	prov ...
```

- Status of stripes
```shell
gstripe list
gstripe status
```