---
obj: meta/collection
---

# File Formats
| Extension          | Content                                                                                                                                                             |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `.7z`              | [7z](../applications/cli/p7zip.md) Archive                                                                                                                          |
| `.apk`             | - [Android](../systems/Android.md) package<br>- Package format of the [Alpine Linux](../linux/Alpine%20Linux.md) distribution                                       |
| `.exe`             | [Windows](../windows/Windows.md) Application                                                                                                                        |
| `.html`            | [HTML](../internet/HTML.md) File                                                                                                                                    |
| `.png`             | [PNG](../media/image/PNG.md) File                                                                                                                                   |
| `.webp`            | WebP Image                                                                                                                                                          |
| `.py`              | [Python](../programming/languages/Python.md) Code                                                                                                                   |
| `.rar`             | RAR Archive                                                                                                                                                         |
| `.tar`             | [TAR](../applications/cli/tar.md) Archive                                                                                                                           |
| `.zip`             | [ZIP](ZIP.md) Archive                                                                                                                                               |
| `.iso`             | DVD Image Format                                                                                                                                                    |
| `.img`             | Raw Disk Image                                                                                                                                                      |
| `.db`<br>`.sqlite` | [SQLite](../programming/SQLite.md)                                                                                                                                  |
| `.sql`             | [SQL](../programming/languages/SQL.md) Queries                                                                                                                      |
| `.pdf`             | [PDF](PDF.md) File                                                                                                                                                  |
| `.psd`             | Adobe Photoshop                                                                                                                                                     |
| `.xcf`             | XCF File ([Gimp](../applications/media/images/GIMP.md))                                                                                                             |
| `.asc`             | [ASCII](ASCII.md) Text                                                                                                                                              |
| `.docx`            | Office Open [XML](XML.md) document                                                                                                                                  |
| `.log`             | Log File                                                                                                                                                            |
| `.md`              | [Markdown](Markdown.md) File                                                                                                                                        |
| `.txt`             | Text File                                                                                                                                                           |
| `.xml`             | [XML](XML.md) File                                                                                                                                                  |
| `.otf`             | OpenType Font                                                                                                                                                       |
| `.ttf`             | TrueType Font                                                                                                                                                       |
| `.woff`            | Web Open Font Format                                                                                                                                                |
| `.svg`             | Scalable Vector Graphics                                                                                                                                            |
| `.blend`           | [Blender](../applications/3d/Blender.md) File                                                                                                                       |
| `.obj`             | Wavefront .obj file                                                                                                                                                 |
| `.desktop`         | Linux [Desktop Entry](Desktop%20Entry.md)                                                                                                                           |
| `.rs`              | [Rust](../programming/languages/Rust.md) Code                                                                                                                       |
| `.kdbx`            | [KeePass](../applications/utilities/KeePassXC.md) Database                                                                                                          |
| `.wav`             | [Wav](../media/audio/WAV.md) File                                                                                                                                   |
| `.flac`            | [FLAC](../media/audio/FLAC.md) Audio                                                                                                                                |
| `.xspf`            | XML Shareable Playlist Format                                                                                                                                       |
| `.m3u`             | Playlist File                                                                                                                                                       |
| `.csv`             | [Comma-seperated values](CSV.md)                                                                                                                                    |
| `.mkv`<br>`.mka`   | [Matroska](../media/Matroska.md)                                                                                                                                    |
| `.qcow2`           | [QEMU](../linux/qemu.md) copy-on-write – version 2 Qcow                                                                                                             |
| `.json`            | [JSON](JSON.md) File                                                                                                                                                |
| `.yaml`<br>`.yml`  | [YAML](YAML.md) File                                                                                                                                                |
| `.diff`            | text file differences created by [diff](../applications/cli/diff.md) and applied as updates by [patch](../applications/cli/patch.md)                                |
| `.part`            | Partial File                                                                                                                                                        |
| `.torrent`         | [Torrent](../tools/BitTorrent.md) File                                                                                                                              |
| `.lrc`             | LRC (Lyrics) File                                                                                                                                                   |
| `.nfo`             | Information Files                                                                                                                                                   |
| `.epub`            | eBook Format                                                                                                                                                        |
| `.srt`             | SubRip Subtitle                                                                                                                                                     |
| `.ass`             | ASS (Advanced SubStation Alpha) Subtitle                                                                                                                            |
| `.cbz`             | [Comic Book Archive](Comic%20Book%20Archive.md). A compressed archive format containing a collection of images or pages that make up a comic book or graphic novel. |
| `.eml`             | [Email](../internet/eMail.md) Message File                                                                                                                          |
| `.toml`            | [TOML](TOML.md)                                                                                                                                                                    |
