---
obj: concept
---

# PDF
Portable Document Format (PDF) is a widely-used file format developed by Adobe Inc. in the early 1990s. PDF files are known for their ability to present documents consistently across different platforms and devices.

## Key Features
1. **Platform Independence:** PDF files can be viewed on various operating systems, including [Windows](../windows/Windows.md), [macOS](../macos/macOS.md), and [Linux](../linux/Linux.md), making them highly portable and independent of the software or hardware used.
2. **Consistent Formatting:** PDFs maintain consistent formatting across different devices and software applications, ensuring that the document's layout, fonts, and images appear the same way regardless of the viewing environment.
3. **Security:** PDFs support encryption and password protection, allowing users to secure their documents and control access to sensitive information.
4. **Interactive Elements:** PDFs can include interactive elements such as hyperlinks, forms, and multimedia, enhancing the user experience and providing additional functionality beyond static documents.
5. **Compression:** PDF files can be compressed to reduce file size without compromising the quality of the content, making them suitable for efficient storage and transmission.