---
obj: concept
wiki: https://en.wikipedia.org/wiki/Domain_name
rfc: https://datatracker.ietf.org/doc/html/rfc1035
---

# Domain
A domain is a human-readable label used to identify a location or an entity on the internet. It serves as a memorable way to reference specific resources, such as websites, servers, or services, rather than relying on numerical IP addresses.

Domain names are formed by the rules and procedures of the Domain Name System ([DNS](DNS.md)). Any name registered in the [DNS](DNS.md) is a domain name. Domain names are organized in subordinate levels (subdomains) of the [DNS](DNS.md) root domain, which is nameless. The first-level set of domain names are the top-level domains (TLDs), including the generic top-level domains (gTLDs), such as the prominent domains com, info, net, edu, and org, and the country code top-level domains (ccTLDs). Below these top-level domains in the [DNS](DNS.md) hierarchy are the second-level and third-level domain names that are typically open for reservation by end-users who wish to connect local area networks to the Internet, create other publicly accessible Internet resources or run web sites.

A fully qualified domain name (FQDN) is a domain name that is completely specified with all labels in the hierarchy of the [DNS](DNS.md), having no parts omitted. Traditionally a FQDN ends in a dot (.) to denote the top of the [DNS](DNS.md) tree. Labels in the Domain Name System are case-insensitive, and may therefore be written in any desired capitalization method, but most commonly domain names are written in lowercase in technical contexts.

## Domain Naming Rules
- **Length:** Domain names can be up to 253 characters in length, including the TLD.
- **Characters:** Domains can include letters (a-z), numbers (0-9), and hyphens ("-"). However, they cannot begin or end with a hyphen.
- **Case Insensitivity:** Domain names are not case-sensitive, meaning "example.com" is the same as "Example.com."

## Domain Registration
To use a domain, individuals or entities must register it through domain registrars. The registration process involves selecting an available domain, providing contact information, and paying a registration fee. Registrations are typically renewable on an annual basis.