---
obj: concept
wiki: https://en.wikipedia.org/wiki/OSI_model
---

# OSI Model
The Open Systems Interconnection (OSI) model is a conceptual framework that standardizes the functions of a telecommunication or computing system into seven abstraction layers. Developed by the International Organization for Standardization (ISO), the OSI model facilitates communication and interoperability between different systems and devices by defining specific functions at each 
layer.

#🐇 #notnow 

## Layers
| Layer | Name         | Common Protocols                                |
| ----- | ------------ | ----------------------------------------------- |
| 7     | Application  | [HTTP](HTTP.md), [FTP](FTP.md), [SMTP](SMTP.md) |
| 6     | Presentation | SSL/TLS, [ASCII](../files/ASCII.md)             |
| 5     | Session      | Sockets                                         | 
| 4     | Transport    | [TCP](TCP.md), [UDP](UDP.md), [QUIC](QUIC.md)   |
| 3     | Network      | IP, ICMP                                        |
| 2     | Data Link    | MAC, ARP                                        |
| 1     | Physical     | RJ45, WLAN, Bluetooth                           |
