---
obj: os
website: https://www.proxmox.com
repo: https://git.proxmox.com
---

# Proxmox
Proxmox Virtual Environment (Proxmox VE) is an open-source virtualization platform that combines two virtualization technologies: KVM (Kernel-based Virtual Machine) for virtual machines ([VMs](../tools/Virtual%20Machine.md)) and LXC (Linux Containers) for lightweight container-based virtualization. Proxmox VE is designed to provide an integrated solution for virtualization, containerization, and virtual storage.

## Features
### 1. **Virtualization Technologies:**
- Proxmox VE supports both KVM and LXC virtualization technologies, offering flexibility in deploying traditional VMs or lightweight containers based on specific use cases.
### 2. **Web-based Management Interface:**
- The Proxmox web-based interface, known as the Proxmox Virtual Environment (PVE) Panel, allows users to manage and monitor their virtualized infrastructure easily. It provides a centralized platform for configuring VMs, containers, storage, and network settings.
### 3. **Clustering and High Availability:**
- Proxmox supports clustering, enabling the creation of a high-availability (HA) infrastructure. In a Proxmox cluster, multiple nodes work together to ensure system availability and resource balancing.
### 4. **Storage Options:**
- Proxmox VE offers various storage options, including local storage, networked storage (Ceph, NFS, iSCSI), and [ZFS](filesystems/ZFS.md) (Zettabyte File System) support. This allows users to choose the storage solution that best fits their requirements.
### 5. **Backup and Restore:**
- The built-in backup and restore features simplify data protection in Proxmox VE. Users can create scheduled backups of VMs and containers, allowing for quick recovery in case of data loss or system failures.