---
aliases: ["mkv"]
website: https://matroska.org
obj: concept
---
# Matroska
The Matroska Multimedia Container is a free and open container format, a file format that can hold an unlimited number of video, audio, picture, or subtitle tracks in one file. It is a universal format for storing common multimedia content, like movies or TV shows. Matroska is similar in concept to other containers like AVI, MP4, or Advanced Systems Format (ASF), but is entirely open in specification, with implementations consisting mostly of open source software. Matroska file extensions are .mkv for video (which may include subtitles or audio), .mk3d for stereoscopic video, .mka for audio-only files (which may include subtitles), and .mks for subtitles only.
Editing and creation of Matroska files can be done using [MKVToolnix](../applications/media/MKVToolnix.md).

| Name                     | Value                                  |
| ------------------------ | -------------------------------------- |
| Extension                | .mkv .mk3d .mka .mks                   |
| [MIME](../files/MIME.md) | video/x-matroska <br> audio/x-matroska |
| Website                  | https://matroska.org                   | 

## Features

**_Matroska_** is designed with the future in mind. It incorporates features you would expect from a modern container format, like:
-   Fast seeking in the file
-   Chapter entries
-   Full metadata (tags) support
-   Selectable subtitle/audio/video streams
-   Modularly expandable
-   Error resilience (can recover playback even when the stream is damaged)
-   Streamable over the internet and local networks ([HTTP](../internet/HTTP.md), CIFS, [FTP](../internet/FTP.md), etc)
-   _Menus (like DVDs have)_

## What file extensions does Matroska use?
-   `.mkv`: Used for files that contain at least one video track (usually with at least one audio track and optionally with subtitle tracks). This is the most commonly used extension.
-   `.mka`: Used for audio only files, can contain any supported audio compression format, such as MP2, MP3, Vorbis, AAC, AC3, DTS, or PCM
-   `.mk3d`: A special case of `.mkv` containing stereoscopic (3D) video
-   `.mks`: Used for files that only contain subtitles