---
obj: application
website: https://www.winehq.org
repo: https://gitlab.winehq.org/wine/wine
---
# Wine
Wine is a compatibility layer that enables users to run [Windows](Windows.md) applications on Unix-like operating systems, including [Linux](../linux/Linux.md), [macOS](../macos/macOS.md), and BSD. It does this by providing an alternative implementation of the [Windows](Windows.md) API, allowing applications compiled for [Windows](Windows.md) to run seamlessly on other platforms. Wine is also the base for Proton (Game compatibility tool for [Steam](../applications/media/Steam.md)). There are graphical tools for using Wine like [Bottles](../applications/utilities/Bottles.md) and [Lutris](../applications/utilities/Lutris.md).

## Configuration
### 1. **Wine Configuration Tool (`winecfg`):**
- Use the `winecfg` command to configure various settings, including the Windows version, audio configuration, and drive mappings.
### 2. **Wine Registry Editor (`regedit`):**
- `regedit` allows users to modify the Wine registry, which contains configuration information for applications.

## Running Windows Applications
Execute [Windows](Windows.md) applications using the `wine` command followed by the path to the application executable.

## Wine Prefixes
A Wine prefix is a separate directory that encapsulates a Wine environment for a specific application.

Use the `WINEPREFIX` environment variable to specify or create different Wine prefixes for various applications.